## kconfigwidgets 5.50.0

=== debian/changelog ===
kconfigwidgets (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:12:06 +0100

kconfigwidgets (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:29:19 +0100

kconfigwidgets (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:48:06 +0100

kconfigwidgets (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:36 +0200

kconfigwidgets (5.46.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

  [ José Manuel Santamaría Lema ]
  * Prevent possible FTBFS'es because of tests:
    - execute debian/tests/tessuite in debian/rules to execute the test suite
    - make sure debian/tests/testsuite provides a valid $XDG_RUNTIME_DIR,
      otherwise the test execution might fail resulting in an FTBFS

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:55:19 +0100

kconfigwidgets (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:10 +0200

kconfigwidgets (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:31 +0100

kconfigwidgets (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:13 +0100

kconfigwidgets (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:37 +0100

kconfigwidgets (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:48 +0100

kconfigwidgets (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Update symbols files
  * Fix auto tests (Closes: 880300)
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:16 -0300

kconfigwidgets (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:44:25 +0000

kconfigwidgets (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:56:31 +0000

kconfigwidgets (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:39:53 +0000

kconfigwidgets (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:24:29 +0000

kconfigwidgets (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:57:45 +0200

kconfigwidgets (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Add a libkf5configwidgets-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:43:03 +0200

kconfigwidgets (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:11:52 +0000

kconfigwidgets (5.36.0-2) experimental; urgency=medium

  * New revision
  * Use the new kdoctools dev name
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 31 Jul 2017 21:12:31 +0200

kconfigwidgets (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * Drop upstream patches
  * Update symbols files.
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Harald Sitter ]
  * headers now require C++11

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:41:59 +0200

kconfigwidgets (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:10:05 +0000

kconfigwidgets (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:36:16 +0000

kconfigwidgets (5.34.0-0neon) xenial; urgency=medium

  * New release



=== debian/control ===
Source: kconfigwidgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               docbook-xml,
               docbook-xsl,
               doxygen,
               extra-cmake-modules (>= 5.50.0~),
               graphviz,
               libkf5auth-dev (>= 5.50.0~),
               libkf5codecs-dev (>= 5.50.0~),
               libkf5config-dev (>= 5.50.0~),
               libkf5coreaddons-dev (>= 5.50.0~),
               libkf5doctools-dev (>= 5.50.0~),
               libkf5guiaddons-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               libqt5sql5-sqlite,
               libxml2-utils,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kconfigwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfigwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfigwidgets

Package: libkf5configwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: perl, ${misc:Depends}, ${shlibs:Depends}
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the preparetips5 script, graphics
 and translations.

Package: libkf5configwidgets-dev
Architecture: any
Section: libdevel
Depends: libkf5auth-dev (>= 5.50.0~),
         libkf5codecs-dev (>= 5.50.0~),
         libkf5config-dev (>= 5.50.0~),
         libkf5configwidgets5 (= ${binary:Version}),
         libkf5guiaddons-dev (>= 5.50.0~),
         libkf5i18n-dev (>= 5.50.0~),
         libkf5widgetsaddons-dev (>= 5.50.0~),
         ${misc:Depends},
Recommends: libkf5configwidgets-doc (= ${source:Version})
Description: development files for kconfigwidgets
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 Contains development files for kconfigwidgets.

Package: libkf5configwidgets-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Extra widgets for easier configuration support (documentation)
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the qch documentation files.

Package: libkf5configwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5configwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5configwidgets5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	debian/tests/testsuite

## kconfigwidgets 5.54.0

=== debian/changelog ===
kconfigwidgets (5.54.0-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:30:05 +0800

kconfigwidgets (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:32 -0300

kconfigwidgets (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:34 +0100

kconfigwidgets (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:14 +0200

kconfigwidgets (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:08:32 +0200

=== debian/control ===
Source: kconfigwidgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               docbook-xml,
               docbook-xsl,
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libkf5auth-dev (>= 5.54.0~),
               libkf5codecs-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5doctools-dev (>= 5.54.0~),
               libkf5guiaddons-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5widgetsaddons-dev (>= 5.54.0~),
               libqt5sql5-sqlite,
               libxml2-utils,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kconfigwidgets
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kconfigwidgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kconfigwidgets.git

Package: libkf5configwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: perl, ${misc:Depends}, ${shlibs:Depends}
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the preparetips5 script and graphics.

Package: libkf5configwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf5auth-dev (>= 5.54.0~),
         libkf5codecs-dev (>= 5.54.0~),
         libkf5config-dev (>= 5.54.0~),
         libkf5configwidgets5 (= ${binary:Version}),
         libkf5guiaddons-dev (>= 5.54.0~),
         libkf5i18n-dev (>= 5.54.0~),
         libkf5widgetsaddons-dev (>= 5.54.0~),
         ${misc:Depends},
Recommends: libkf5configwidgets-doc (= ${source:Version})
Description: development files for kconfigwidgets
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 Contains development files for kconfigwidgets.
Breaks: libkf5bookmarks-dev (<< 5.54),
        libkf5iconthemes-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5style-dev (<< 5.54),
        libkf5textwidgets-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54),

Package: libkf5configwidgets-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Extra widgets for easier configuration support (documentation)
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the qch documentation files.

Package: libkf5configwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5configwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.54),
        kio (<< 5.54),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5bookmarks5 (<< 5.42),
        libkf5iconthemes5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.54),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.42),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.42),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.42),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.42),
        libkf5style5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui5 (<< 5.54),
        plasma-framework (<< 5.42),
        qml-module-org-kde-qqc2desktopstyle (<< 5.54),

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	dh_strip --dbgsym-migration='libkf5configwidgets5-dbg (<= 5.19.0-1~~)'
 
 override_dh_auto_test:
-	debian/tests/testsuite
+	xvfb-run -a --server-args="-screen 0 1024x768x24" dh_auto_test

## kconfigwidgets 5.56.0

=== debian/changelog ===
kconfigwidgets (5.56.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Don't run tests at build time.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:34:47 +0000

kconfigwidgets (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:29:53 +0000

kconfigwidgets (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:33:58 +0000

kconfigwidgets (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:46 +0000

kconfigwidgets (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:41:20 +0000

=== debian/control ===
Source: kconfigwidgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               docbook-xml,
               docbook-xsl,
               doxygen,
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libkf5auth-dev (>= 5.56.0~),
               libkf5codecs-dev (>= 5.56.0~),
               libkf5config-dev (>= 5.56.0~),
               libkf5coreaddons-dev (>= 5.56.0~),
               libkf5doctools-dev (>= 5.56.0~),
               libkf5guiaddons-dev (>= 5.56.0~),
               libkf5i18n-dev (>= 5.56.0~),
               libkf5widgetsaddons-dev (>= 5.56.0~),
               libqt5sql5-sqlite,
               libxml2-utils,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kconfigwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfigwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfigwidgets

Package: libkf5configwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: perl, ${misc:Depends}, ${shlibs:Depends}
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the preparetips5 script, graphics
 and translations.

Package: libkf5configwidgets-dev
Architecture: any
Section: libdevel
Depends: libkf5auth-dev (>= 5.55.0~),
         libkf5codecs-dev (>= 5.55.0~),
         libkf5config-dev (>= 5.55.0~),
         libkf5configwidgets5 (= ${binary:Version}),
         libkf5guiaddons-dev (>= 5.55.0~),
         libkf5i18n-dev (>= 5.55.0~),
         libkf5widgetsaddons-dev (>= 5.55.0~),
         ${misc:Depends},
Recommends: libkf5configwidgets-doc (= ${source:Version})
Description: development files for kconfigwidgets
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 Contains development files for kconfigwidgets.

Package: libkf5configwidgets-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Extra widgets for easier configuration support (documentation)
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the qch documentation files.

Package: libkf5configwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5configwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.

## kconfigwidgets 5.62.0

=== debian/changelog ===
kconfigwidgets (5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:55 -0700

kconfigwidgets (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info) (Closes: 929595)

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Move qdebug logging categories files
  * Add missing version to maintscript
  * Update symbols file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:18 +0100

=== debian/control ===
Source: kconfigwidgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               docbook-xml,
               docbook-xsl,
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libkf5auth-dev (>= 5.62.0~),
               libkf5codecs-dev (>= 5.62.0~),
               libkf5config-dev (>= 5.62.0~),
               libkf5coreaddons-dev (>= 5.62.0~),
               libkf5doctools-dev (>= 5.62.0~),
               libkf5guiaddons-dev (>= 5.62.0~),
               libkf5i18n-dev (>= 5.62.0~),
               libkf5widgetsaddons-dev (>= 5.62.0~),
               libqt5sql5-sqlite,
               libxml2-utils,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kconfigwidgets
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kconfigwidgets
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kconfigwidgets.git

Package: libkf5configwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: perl, ${misc:Depends}, ${shlibs:Depends}
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the preparetips5 script and graphics.

Package: libkf5configwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf5auth-dev (>= 5.62.0~),
         libkf5codecs-dev (>= 5.62.0~),
         libkf5config-dev (>= 5.62.0~),
         libkf5configwidgets5 (= ${binary:Version}),
         libkf5guiaddons-dev (>= 5.62.0~),
         libkf5i18n-dev (>= 5.62.0~),
         libkf5widgetsaddons-dev (>= 5.62.0~),
         ${misc:Depends},
Recommends: libkf5configwidgets-doc (= ${source:Version})
Description: development files for kconfigwidgets
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 Contains development files for kconfigwidgets.
Breaks: libkf5bookmarks-dev (<< 5.54),
        libkf5iconthemes-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5style-dev (<< 5.54),
        libkf5textwidgets-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54),

Package: libkf5configwidgets-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Extra widgets for easier configuration support (documentation)
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the qch documentation files.

Package: libkf5configwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5configwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
Breaks: frameworkintegration (<< 5.28),
        kdesignerplugin (<< 5.54),
        kio (<< 5.54),
        kross (<< 5.42),
        ktexteditor-katepart (<< 5.42),
        libkf5bookmarks5 (<< 5.42),
        libkf5iconthemes5 (<< 5.54),
        libkf5kcmutils5 (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.54),
        libkf5khtml-bin (<< 5.42),
        libkf5khtml5 (<< 5.54),
        libkf5kiofilewidgets5 (<< 5.42),
        libkf5kiowidgets5 (<< 5.54),
        libkf5krossui5 (<< 5.42),
        libkf5mediaplayer5 (<< 5.42),
        libkf5newstuff5 (<< 5.42),
        libkf5parts-plugins (<< 5.42),
        libkf5parts5 (<< 5.42),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.42),
        libkf5style5 (<< 5.54),
        libkf5texteditor5 (<< 5.54),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkf5webkit5 (<< 5.42),
        libkf5xmlgui5 (<< 5.54),
        plasma-framework (<< 5.42),
        qml-module-org-kde-qqc2desktopstyle (<< 5.54),

## kconfigwidgets 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
project(KConfigWidgets VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.68.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt5 "${REQUIRED_QT_VERSION}" CONFIG REQUIRED Widgets)
if (NOT ANDROID)
  find_package(Qt5 "${REQUIRED_QT_VERSION}" CONFIG REQUIRED DBus)
endif()
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

ecm_setup_version(PROJECT VARIABLE_PREFIX KCONFIGWIDGETS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kconfigwidgets_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigWidgetsConfigVersion.cmake"
                        SOVERSION 5)

if (NOT ANDROID)
  find_package(KF5Auth ${KF5_DEP_VERSION} REQUIRED)
endif()
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Codecs ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF5_DEP_VERSION})
find_package(KF5GuiAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)

add_definitions(-DTRANSLATION_DOMAIN=\"kconfigwidgets5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
    if (KF5DocTools_FOUND)
        kdoctools_install(po)
    endif()

    file(GLOB lang_dirs "po/*")
    foreach(lang_dir ${lang_dirs})
       get_filename_component(lang ${lang_dir} NAME)
       if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po/${lang}/kf5_entry.desktop")
          install( FILES po/${lang}/kf5_entry.desktop DESTINATION ${KDE_INSTALL_LOCALEDIR}/${lang} )
       endif()
    endforeach()
endif()

if (KF5DocTools_FOUND)
    add_subdirectory(docs)
endif()

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5ConfigWidgets")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5ConfigWidgets_QCH
        FILE KF5ConfigWidgetsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ConfigWidgetsQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

set(HAVE_KAUTH FALSE)
if (TARGET KF5::Auth)
  set(HAVE_KAUTH TRUE)
endif()
configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5ConfigWidgetsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigWidgetsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigWidgetsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigWidgetsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5ConfigWidgetsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ConfigWidgetsTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kconfigwidgets_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
set(kconfigwidgets_SRCS
  kcodecaction.cpp
  kcolorscheme.cpp
  kcolorschememanager.cpp
  kconfigdialog.cpp
  kconfigviewstatesaver.cpp
  kconfigdialogmanager.cpp
  kcmodule.cpp
  khelpclient.cpp
  klanguagebutton.cpp
  klanguagename.cpp
  krecentfilesaction.cpp
  kstandardaction.cpp
  ktipdialog.cpp
)
ecm_qt_declare_logging_category(kconfigwidgets_SRCS
    HEADER kconfigwidgets_debug.h
    IDENTIFIER KCONFIG_WIDGETS_LOG
    CATEGORY_NAME kf5.kconfigwidgets
    DESCRIPTION "KConfigWidgets"
    EXPORT KCONFIGWIDGETS
)
if (TARGET Qt5::DBus)
  list(APPEND kconfigwidgets_SRCS kpastetextaction.cpp)
endif()

qt5_add_resources(kconfigwidgets_SRCS kconfigwidgets.qrc)

add_library(KF5ConfigWidgets ${kconfigwidgets_SRCS})
add_library(KF5::ConfigWidgets ALIAS KF5ConfigWidgets)
ecm_generate_export_header(KF5ConfigWidgets
    BASE_NAME KConfigWidgets
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 4.0 5.0 5.23 5.32 5.38 5.39 5.64
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5ConfigWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KConfigWidgets>")

target_link_libraries(KF5ConfigWidgets
  PUBLIC
    KF5::Codecs # KCodecActions uses KCharsets, KEncodingProber
    KF5::WidgetsAddons # For K*Action, KPage*, KViewStateSerializer, KAcceleratorManager, K*GuiItem
    KF5::ConfigGui # KStandardAction uses KStandardShortcut
  PRIVATE
    KF5::CoreAddons # KCModule uses KAboutData, KTipDialog uses KRandom
    KF5::GuiAddons # KColorScheme uses KColorUtils
    KF5::I18n # For action and widget texts
)
if (TARGET KF5::Auth)
  target_link_libraries(KF5ConfigWidgets PUBLIC KF5::Auth) # KCModule uses KAuth::Action TODO KF6 Change to KF5::AuthCore
else()
  target_compile_definitions(KF5ConfigWidgets PUBLIC -DKCONFIGWIDGETS_NO_KAUTH)
endif()
if (TARGET Qt5::DBus)
  target_link_libraries(KF5ConfigWidgets PRIVATE Qt5::DBus) # KPasteTextAction talks to Klipper via DBus
endif()

set_target_properties(KF5ConfigWidgets PROPERTIES VERSION   ${KCONFIGWIDGETS_VERSION_STRING}
                                                  SOVERSION ${KCONFIGWIDGETS_SOVERSION}
                                                  EXPORT_NAME ConfigWidgets
)

ecm_generate_headers(KConfigWidgets_HEADERS
  HEADER_NAMES
  KCodecAction
  KColorScheme
  KColorSchemeManager
  KConfigDialog
  KConfigViewStateSaver
  KConfigDialogManager
  KCModule
  KHelpClient
  KLanguageButton
  KLanguageName
  KPasteTextAction
  KRecentFilesAction
  KViewStateMaintainer
  KStandardAction
  KTipDialog

  REQUIRED_HEADERS KConfigWidgets_HEADERS
)

find_package(PythonModuleGeneration)

if (PythonModuleGeneration_FOUND)
  ecm_generate_python_binding(
    TARGET KF5::ConfigWidgets
    PYTHONNAMESPACE PyKF5
    MODULENAME KConfigWidgets
    SIP_INCLUDES
    RULES_FILE "${CMAKE_SOURCE_DIR}/cmake/rules_PyKF5.py"
    SIP_DEPENDS
      QtCore/QtCoremod.sip
      PyKF5/KCodecs/KCodecsmod.sip
      PyKF5/KWidgetsAddons/KWidgetsAddonsmod.sip
      PyKF5/KConfigGui/KConfigGuimod.sip
      PyKF5/KAuth/KAuthmod.sip
    HEADERS
      kcodecaction.h
      kcolorscheme.h
      kcolorschememanager.h
      kconfigdialog.h
      kconfigviewstatesaver.h
      kconfigdialogmanager.h
      kcmodule.h
      khelpclient.h
      klanguagebutton.h
      kpastetextaction.h
      krecentfilesaction.h
      kviewstatemaintainer.h
      kstandardaction.h
      ktipdialog.h
  )
endif()

install(TARGETS KF5ConfigWidgets EXPORT KF5ConfigWidgetsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kconfigwidgets_export.h
  ${KConfigWidgets_HEADERS}
  ktip.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KConfigWidgets COMPONENT Devel
)

install(PROGRAMS preparetips5 DESTINATION ${KDE_INSTALL_BINDIR} )
install( FILES entry.desktop  DESTINATION  ${KDE_INSTALL_LOCALEDIR}/en_US RENAME kf5_entry.desktop )

ecm_qt_install_logging_categories(
    EXPORT KCONFIGWIDGETS
    FILE kconfigwidgets.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

if(BUILD_QCH)
    ecm_add_qch(
        KF5ConfigWidgets_QCH
        NAME KConfigWidgets
        BASE_NAME KF5ConfigWidgets
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KConfigWidgets_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            KF5Codecs_QCH
            KF5WidgetsAddons_QCH
            KF5Config_QCH
            KF5Auth_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KCONFIGWIDGETS_EXPORT
            KCONFIGWIDGETS_DEPRECATED
            KCONFIGWIDGETS_DEPRECATED_EXPORT
            "KCONFIGWIDGETS_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KConfigWidgets LIB_NAME KF5ConfigWidgets DEPS "KCodecs KWidgetsAddons KConfigGui KAuth" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KConfigWidgets)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kconfigwidgets (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:56:11 +0000

kconfigwidgets (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:48:40 +0000

kconfigwidgets (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:17:46 +0000

kconfigwidgets (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 22:57:34 +0000

kconfigwidgets (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:23:13 +0000

kconfigwidgets (5.62.0-0ubuntu1) eoan; urgency=medium

  * Build depend on qttools5-dev for Qt5UiPlugin.
  * Install Qt designer plugin in -dev package. 
  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:05:38 +0100

kconfigwidgets (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:41:09 +0100

kconfigwidgets (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:14:50 +0100

kconfigwidgets (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:18:04 +0100

kconfigwidgets (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:38:52 +0100

kconfigwidgets (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:36:34 +0100

=== debian/control ===
Source: kconfigwidgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               docbook-xml,
               docbook-xsl,
               doxygen,
               extra-cmake-modules (>= 5.68.0~),
               graphviz,
               libkf5auth-dev (>= 5.68.0~),
               libkf5codecs-dev (>= 5.68.0~),
               libkf5config-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5guiaddons-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5widgetsaddons-dev (>= 5.68.0~),
               libqt5sql5-sqlite,
               libxml2-utils,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kconfigwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfigwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfigwidgets

Package: libkf5configwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: perl, ${misc:Depends}, ${shlibs:Depends}
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the preparetips5 script, graphics
 and translations.

Package: libkf5configwidgets-dev
Architecture: any
Section: libdevel
Depends: libkf5auth-dev (>= 5.68.0~),
         libkf5codecs-dev (>= 5.68.0~),
         libkf5config-dev (>= 5.68.0~),
         libkf5configwidgets5 (= ${binary:Version}),
         libkf5guiaddons-dev (>= 5.68.0~),
         libkf5i18n-dev (>= 5.68.0~),
         libkf5widgetsaddons-dev (>= 5.68.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5configwidgets-doc (= ${source:Version})
Description: development files for kconfigwidgets
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 Contains development files for kconfigwidgets.

Package: libkf5configwidgets-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Extra widgets for easier configuration support (documentation)
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the qch documentation files.

Package: libkf5configwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5configwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	dh_strip --dbgsym-migration='libkf5configwidgets5-dbg (<= 5.19.0-1~~)'
 
 override_dh_auto_test:
-	xvfb-run -a --server-args="-screen 0 1024x768x24" dh_auto_test
+	# Disable auto tests at build time

## kconfigwidgets 5.74.0

=== debian/changelog ===
kconfigwidgets (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:57:51 +0100

kconfigwidgets (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update symbols.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:56:39 +0100

kconfigwidgets (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:30:52 +0100

kconfigwidgets (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:04:58 +0100

kconfigwidgets (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Keep our symbols file.
    - Keep our testsuite setup.
    - d/rules: Do not run buildtime tests.

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2020 18:55:06 +0100

kconfigwidgets (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Ship designer plugin in libkf5configwidgets-dev.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:57:08 +0200

kconfigwidgets (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:30:35 +0100

kconfigwidgets (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Add Build-Depends-Package to symbols file.
  * Enable hardening all.
  * Remove COPYING listed in copyright file.
  * Update symbols from build for 5.69.0.
  * Cleanup copyright file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:55:10 +0200

=== debian/control ===
Source: kconfigwidgets
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               docbook-xml,
               docbook-xsl,
               doxygen,
               extra-cmake-modules (>= 5.74.0~),
               graphviz,
               libkf5auth-dev (>= 5.74.0~),
               libkf5codecs-dev (>= 5.74.0~),
               libkf5config-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5doctools-dev (>= 5.74.0~),
               libkf5guiaddons-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5widgetsaddons-dev (>= 5.74.0~),
               libqt5sql5-sqlite,
               libxml2-utils,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb,
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/frameworks/kconfigwidgets
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfigwidgets
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfigwidgets
Rules-Requires-Root: no

Package: libkf5configwidgets-data
Architecture: all
Multi-Arch: foreign
Depends: perl, ${misc:Depends}, ${shlibs:Depends}
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the preparetips5 script and graphics.

Package: libkf5configwidgets-dev
Section: libdevel
Architecture: any
Depends: libkf5auth-dev (>= 5.74.0~),
         libkf5codecs-dev (>= 5.74.0~),
         libkf5config-dev (>= 5.74.0~),
         libkf5configwidgets5 (= ${binary:Version}),
         libkf5guiaddons-dev (>= 5.74.0~),
         libkf5i18n-dev (>= 5.74.0~),
         libkf5widgetsaddons-dev (>= 5.74.0~),
         ${misc:Depends},
Recommends: libkf5configwidgets-doc (= ${source:Version})
Description: development files for kconfigwidgets
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 Contains development files for kconfigwidgets.
Breaks: libkf5bookmarks-dev (<< 5.54),
        libkf5iconthemes-dev (<< 5.54),
        libkf5kcmutils-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5style-dev (<< 5.54),
        libkf5textwidgets-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54)

Package: libkf5configwidgets-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Extra widgets for easier configuration support (documentation)
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.
 .
 This package contains the qch documentation files.

Package: libkf5configwidgets5
Architecture: any
Multi-Arch: same
Depends: libkf5configwidgets-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Extra widgets for easier configuration support.
 KConfigWidgets provides easy-to-use classes to create
 configuration dialogs, as well as a set of widgets which
 uses KConfig to store their settings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# Disable auto tests at build time
